drmullins
Posts: 43
Joined: Fri Jun 23, 2017 9:22 pm

String manipulation errors with raspi-copies-and-fills 0.10

Wed Mar 13, 2019 11:08 pm

I have been running a 12000 line pure python (core language with no extra packages) database program successfully on many machines (Windows,Debian Jessie,Debian Stretch, Ubuntu,Raspbian Jessie, Raspbian Stretch) for the last 7 years. I am absolutely confident in the code.

After latest upgrade of Raspbian Stretch I got a number of spurious errors related to string handling - I think after several hundred operations

Downgrading from kernel 4.14.98 to kernel 4.14.79 had not effect

After comparing the package lists before and after upgrade I discovered that raspi-copies-and-fills was upgraded from 0.6 to 0.10

Unable to easily revert to the 0.6 version I removed raspi-copies-and-fills 0.10 and my program works perfectly again.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 6074
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: String manipulation errors with raspi-copies-and-fills 0.10

Thu Mar 14, 2019 12:19 am

Thank you. We'll revert back.

Return to “Raspbian”